<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: lt_func Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">lt_func Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a38a3a272813ecb645f3e4d2836c33696"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelt__func.html#a38a3a272813ecb645f3e4d2836c33696">total_timing_start</a></td></tr>
<tr class="separator:a38a3a272813ecb645f3e4d2836c33696"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a309b33c5a9b0dfc692028eb36459df40"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelt__func.html#a309b33c5a9b0dfc692028eb36459df40">total_timing_stop</a></td></tr>
<tr class="separator:a309b33c5a9b0dfc692028eb36459df40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a118eaf1442c5e0050148d7f60e09b942"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelt__func.html#a118eaf1442c5e0050148d7f60e09b942">comm_timing_start</a> (mpi_comm)</td></tr>
<tr class="separator:a118eaf1442c5e0050148d7f60e09b942"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae55850dc2fbd47fcd136e0cc22889693"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelt__func.html#ae55850dc2fbd47fcd136e0cc22889693">comm_timing_stop</a> (mpi_comm)</td></tr>
<tr class="separator:ae55850dc2fbd47fcd136e0cc22889693"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75f1ca75d945bdc8ad0e34b11e66536e"><td class="memItemLeft" align="right" valign="top">subroutine, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelt__func.html#a75f1ca75d945bdc8ad0e34b11e66536e">idle_timing_start</a></td></tr>
<tr class="separator:a75f1ca75d945bdc8ad0e34b11e66536e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8c5f58da3e36ca40c2abea0e6b64e73"><td class="memItemLeft" align="right" valign="top">subroutine, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelt__func.html#ac8c5f58da3e36ca40c2abea0e6b64e73">idle_timing_stop</a></td></tr>
<tr class="separator:ac8c5f58da3e36ca40c2abea0e6b64e73"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a118eaf1442c5e0050148d7f60e09b942"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a118eaf1442c5e0050148d7f60e09b942">&#9670;&nbsp;</a></span>comm_timing_start()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public lt_func::comm_timing_start </td>
          <td>(</td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>mpi_comm</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceload__timing__defs.html#a4f4914aa2ef3caf29a1c9b2e70732ed2">load_timing_defs::load_timer</a>.</p>

</div>
</div>
<a id="ae55850dc2fbd47fcd136e0cc22889693"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae55850dc2fbd47fcd136e0cc22889693">&#9670;&nbsp;</a></span>comm_timing_stop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public lt_func::comm_timing_stop </td>
          <td>(</td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>mpi_comm</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceload__timing__defs.html#a4f4914aa2ef3caf29a1c9b2e70732ed2">load_timing_defs::load_timer</a>.</p>

</div>
</div>
<a id="a75f1ca75d945bdc8ad0e34b11e66536e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75f1ca75d945bdc8ad0e34b11e66536e">&#9670;&nbsp;</a></span>idle_timing_start()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, private lt_func::idle_timing_start </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac8c5f58da3e36ca40c2abea0e6b64e73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8c5f58da3e36ca40c2abea0e6b64e73">&#9670;&nbsp;</a></span>idle_timing_stop()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, private lt_func::idle_timing_stop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a38a3a272813ecb645f3e4d2836c33696"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38a3a272813ecb645f3e4d2836c33696">&#9670;&nbsp;</a></span>total_timing_start()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public lt_func::total_timing_start </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceload__timing__defs.html#a4f4914aa2ef3caf29a1c9b2e70732ed2">load_timing_defs::load_timer</a>.</p>

</div>
</div>
<a id="a309b33c5a9b0dfc692028eb36459df40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a309b33c5a9b0dfc692028eb36459df40">&#9670;&nbsp;</a></span>total_timing_stop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine lt_func::total_timing_stop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceload__timing__defs.html#a4f4914aa2ef3caf29a1c9b2e70732ed2">load_timing_defs::load_timer</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
